_PurpleRoomlistRoom Struct Reference

Represents a room. More...

`#include <roomlist.h>`

## Data Fields

PurpleRoomlistRoomType | type
| The type of room.
gchar * | name
| The name of the room.
GList * | fields
| Other fields.
PurpleRoomlistRoom * | parent
| The parent room, or NULL.
gboolean | expanded_once
| A flag the UI uses to avoid multiple expand prpl cbs.

## Detailed Description

Represents a room.

Definition at line 82 of file roomlist.h.

The documentation for this struct was generated from the following file:

- roomlist.h